#include <iostream>
#include <algorithm>
#include <math.h>
using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int a[n+1];
    int x[n+1];
    int y[n+1];
    int i[n+1];
    int g=0;
    int j;
    int k;
    int w;
    int s=0;
    for(int i=1;i<=n;i++) cin>>a[i];
    for(int j=1;j<=m;j++) cin>>x[j]>>y[j];
    for(k=1;k<=n;k++)
    { for(j=1;j<=m;j++)
        {if(x[j]==k)g++;
         if(y[j]==k)g++;
        }
    i[k]=a[k]*g;
    g=0;
    }
    for(k=1;k<=n;k++){
    s+=i[k];
    }
    cout<<abs(s)<<endl;

    return 0;

}